<?php

/**
* Tested up to:        5.6.2
* Domain Path:         /languages
* Text Domain:         wiloke-progress-pie
* License URI:         http://www.gnu.org/licenses/gpl-2.0.txt
* License:             GPL-2.0+
* Author URI:          https://www.persianscript.ir
* Author:              wiloke
* Version:             1.0.24
* Description:         پرشین اسکریپت
* Plugin URI:          https://www.persianscript.ir
* Plugin Name:         Wiloke Progress Pie
*/

use WilokeProgressPie\Controllers\Notification\NotificationController;
use WilokeProgressPie\Controllers\TaxonomyFeaturedImage\TaxonomyFeaturedImageController;
global $wilokeEnabledTaxonomyFeaturedImage;
define("WILOKE_WILOKEPROGRESSPIE_VERSION",
  defined('WP_DEBUG') && WP_DEBUG ? uniqid() : '1.0.24');
define("WILOKE_WILOKEPROGRESSPIE_NAMESPACE", "wiloke-progress-pie");
define("WILOKE_WILOKEPROGRESSPIE_PREFIX", "wiloke-progress-pie_");
define("WILOKE_WILOKEPROGRESSPIE_VIEWS_PATH", plugin_dir_path(__FILE__));
define("WILOKE_WILOKEPROGRESSPIE_VIEWS_URL", plugin_dir_url(__FILE__));

add_action("plugins_loaded", "WilokeProgressPieLoadPluginDomain");
if (!function_exists("WilokeProgressPieLoadPluginDomain")) {
  function WilokeProgressPieLoadPluginDomain()
  {
    load_plugin_textdomain("wiloke-progress-pie", false,
      plugin_dir_path(__FILE__) . "languages");
  }
}

require_once plugin_dir_path(__FILE__) . "vendor/autoload.php";

new \WilokeProgressPie\Controllers\RegistrationController();
new \WilokeProgressPie\Controllers\HandleAjaxController();
new TaxonomyFeaturedImageController();
new NotificationController();